notifier 1.0.2

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • 77

notifier #

Update any widget, from anywhere at anytime.

Getting Started #

Inspired from Broadcast Receiver in Android.

Works for both iOS and Android.

Add the following dependency to your project's pubspec.yaml.
notifier: <latest_version>
There are two methods that make the core of Notifier.
  • notify(action, data) - Sending data for a certain action.
  • register(action, callback) - Listening to data changes for a certain action.
Steps #
  • Add NotifierProvider at root of project's Widget tree.
void main() {
  runApp(
    NotifierProvider(
      child: MyApp(),
    ),
  );
}
  • Register a callback for a certain action in your Widget tree.
@override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Text('Data from Notifier:'),
        Notifier.of(context).register<String>('action', (data) {
          return Text('${data.data}');
        }),
      ],
    );
  }
  • From anywhere in your application, call the notify method.
@override
  Widget build(BuildContext context) {
    Notifier _notifier = NotifierProvider.of(context);

    return Scaffold(
      body: Center(
        RaisedButton(
          child: Text('Notify'),
          onPressed: () {
            _notifier.notify('action', 'Sending data from notfier!');
          },
        ),
      ),
    );
  }

Things to be aware of! #

  • If a callback is registered on an action with a specific data type T, then passing data with data type other than T in notify method will throw error.

[0.0.1] - TODO: Add release date.

  • TODO: Describe initial release.

example/README.md

example #

A new Flutter project.

Getting Started #

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  notifier: ^1.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:notifier/notifier.dart';
  
Version Uploaded Documentation Archive
1.0.2 Feb 3, 2019 Go to the documentation of notifier 1.0.2 Download notifier 1.0.2 archive
1.0.1 Feb 3, 2019 Go to the documentation of notifier 1.0.1 Download notifier 1.0.1 archive
1.0.0 Jan 27, 2019 Go to the documentation of notifier 1.0.0 Download notifier 1.0.0 archive
0.0.1 Jan 27, 2019 Go to the documentation of notifier 0.0.1 Download notifier 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
55
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
77
Learn more about scoring.

We analyzed this package on Apr 25, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.2.0
  • pana: 0.12.14
  • Flutter: 1.4.7

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
flutter 0.0.0
synchronized ^1.5.3+2 1.5.3+2 2.1.0
Transitive dependencies
collection 1.14.11
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test